> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-i.md).

# KPN LocationTag I

![KPN LocationTag I](https://portal.kpnthings.com/assets/images/device-types/kpn-locationtag-i.png)

Also known as Viloc Tag.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-locationtag-i`
* Device Specification UUID: `00338b9a-25f8-43e5-ba36-7555bc00ad83`

| Decoders             | decoderSpecificationUUID               | Description                 |
| -------------------- | -------------------------------------- | --------------------------- |
| › Decoded payload v2 | `fa85c8cb-0f64-58c5-beea-69c94c55fc0e` | Decoder for Viloc payloads. |

| Encoders                                | encoderSpecificationUUID               | Description                                                                                                   |
| --------------------------------------- | -------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| ‹ Encoded device modes or send interval | `15575b9a-4a5f-4445-9417-4b7a56080f20` | Send device modes for Asset Recovery: Active (5h interval), Missing (5min interval), or change send interval. |

### › Decoded payload v2

Decoder for Viloc payloads.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

| name            | type    | description                                                   | example |
| --------------- | ------- | ------------------------------------------------------------- | ------- |
| sabotaged       | boolean | indicates if the device has been sabotaged                    | `false` |
| temperature     | number  | the temperature measured by the device                        | `14`    |
| batteryLevelLow | boolean | indicates if the battery voltage has been below the threshold | `false` |

#### Example SenML-message

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

The `batteryLevelLow` field in the example below is optional and will not be present in every uplink.

```json
[
    {
        "bn": "6E5E267F2E6FB3BF",
        "bt": 1693136532.0,
        "n": "sabotaged",
        "vb": false
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": 29
    },
    {
        "n": "batteryLevelLow",
        "vb": true
    }
]
```

### › Encoded payload

#### = Raw LoRa payload

* Protocol: LoRa downlink
* Description: Send raw LoRa payload to your device.
* Multiple commands in one downlink: No

Input mapping:

* Name: `payloadHex` (raw input)

#### ‹ Encoded device modes or send interval

* Protocol: LoRa downlink
* Description: Send device modes for Asset Recovery: Active (5h interval), Missing (5min interval), or change send interval.
* Multiple commands in one downlink: No

Input mapping:

* Name: `mode`
  * Value: `Active` (translates into → `010000646400D100C700DADA`, `02D180AA00C40784038405840484060A14`)
  * Value: `Missing` (translates into → `010000646400E1008600DADA`, `02E180AA00C0077B0380057B047B060A147B0214091F0C1F0E010088`)
* Name: `interval`
  * Value: `1h` (translates into → `010000646400E1008600DADA`, `02E180AA00C0077B0380057B047B060A147B0214091F0C1F0E010088`)
  * Value: `2h` (translates into → `010000646400CD00CD00DADA`, `02CD80AA00C20781038105810481060A14`)
  * Value: `5h` (translates into → `010000646400D100C700DADA`, `02D180AA00C40784038405840484060A14`)
  * Value: `11h` (translates into → `010000646400D3005600DADA`, `02D380AA00C4078A038A058A048A061914`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-i.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
